### Hierarchy

- RedirectionVisitor
  - ContentRedirectionVisitor

### Implements

- JsonObjectVisitor

## Index

### Constructors

- constructor

### Methods

- copyAsJsonObject
- copyAsJsonString
- enclosedJsonObject
- visitAndSetId
- visitAndSetReferringDialogAlias
- visitAndSetReferringDialogId
- visitAndSetReferringDialogMode
- visitAndSetReferringDialogName
- visitId
- visitReferringDialogId
- visitReferringDialogMode
- visitReferringObject

## Constructors

### constructor

- new ContentRedirectionVisitor(value: string | object): ContentRedirectionVisitor

- Overrides RedirectionVisitor.constructor

  - Defined in proxy/ContentRedirectionVisitor.ts:6

  #### Parameters

  - ##### value: string | object

  #### Returns ContentRedirectionVisitor

## Methods

### copyAsJsonObject

- copyAsJsonObject(): object

- Implementation of JsonObjectVisitor.copyAsJsonObject

  Inherited from RedirectionVisitor.copyAsJsonObject

  - Defined in proxy/RedirectionVisitor.ts:25

  #### Returns object

### copyAsJsonString

- copyAsJsonString(): string

- Implementation of JsonObjectVisitor.copyAsJsonString

  Inherited from RedirectionVisitor.copyAsJsonString

  - Defined in proxy/RedirectionVisitor.ts:29

  #### Returns string

### enclosedJsonObject

- enclosedJsonObject(): any

- Implementation of JsonObjectVisitor.enclosedJsonObject

  Inherited from RedirectionVisitor.enclosedJsonObject

  - Defined in proxy/RedirectionVisitor.ts:33

  #### Returns any

### visitAndSetId

- visitAndSetId(id: string): void

- Inherited from RedirectionVisitor.visitAndSetId

  - Defined in proxy/RedirectionVisitor.ts:43

  #### Parameters

  - ##### id: string

  #### Returns void

### visitAndSetReferringDialogAlias

- visitAndSetReferringDialogAlias(dialogAlias: string): void

- Inherited from RedirectionVisitor.visitAndSetReferringDialogAlias

  - Defined in proxy/RedirectionVisitor.ts:55

  #### Parameters

  - ##### dialogAlias: string

  #### Returns void

### visitAndSetReferringDialogId

- visitAndSetReferringDialogId(dialogId: string): void

- Inherited from RedirectionVisitor.visitAndSetReferringDialogId

  - Defined in proxy/RedirectionVisitor.ts:59

  #### Parameters

  - ##### dialogId: string

  #### Returns void

### visitAndSetReferringDialogMode

- visitAndSetReferringDialogMode(dialogMode: string): void

- Inherited from RedirectionVisitor.visitAndSetReferringDialogMode

  - Defined in proxy/RedirectionVisitor.ts:63

  #### Parameters

  - ##### dialogMode: string

  #### Returns void

### visitAndSetReferringDialogName

- visitAndSetReferringDialogName(dialogName: string): void

- Inherited from RedirectionVisitor.visitAndSetReferringDialogName

  - Defined in proxy/RedirectionVisitor.ts:67

  #### Parameters

  - ##### dialogName: string

  #### Returns void

### visitId

- visitId(): string

- Inherited from RedirectionVisitor.visitId

  - Defined in proxy/RedirectionVisitor.ts:39

  #### Returns string

### visitReferringDialogId

- visitReferringDialogId(): string

- Inherited from RedirectionVisitor.visitReferringDialogId

  - Defined in proxy/RedirectionVisitor.ts:47

  #### Returns string

### visitReferringDialogMode

- visitReferringDialogMode(): string

- Inherited from RedirectionVisitor.visitReferringDialogMode

  - Defined in proxy/RedirectionVisitor.ts:51

  #### Returns string

### visitReferringObject

- visitReferringObject(): object

- Inherited from RedirectionVisitor.visitReferringObject

  - Defined in proxy/RedirectionVisitor.ts:71

  #### Returns object

Generated using TypeDoc